.. _api-exceptions:

Exceptions API
**************

Toil specific exceptions.

.. autoexception:: toil.job::JobException
   :members:

.. autoexception:: toil.job::JobGraphDeadlockException
   :members:

.. autoexception:: toil.jobStores.abstractJobStore::ConcurrentFileModificationException
   :members:

.. autoexception:: toil.jobStores.abstractJobStore::JobStoreExistsException
   :members:

.. autoexception:: toil.jobStores.abstractJobStore::NoSuchFileException
   :members:

.. autoexception:: toil.jobStores.abstractJobStore::NoSuchJobException
   :members:

.. autoexception:: toil.jobStores.abstractJobStore::NoSuchJobStoreException
   :members:
